vbi_pfc_block Struct Reference
Low Level Decoding » Teletext PFC packet demultiplexer

One block of data returned by vbi_pfc_demux_cb(). More...

`#include <pfc_demux.h>`

## Data Fields

vbi_pgno | pgno
unsigned int | stream
unsigned int | application_id
unsigned int | block_size
uint8_t | block [2048]

## Detailed Description

One block of data returned by vbi_pfc_demux_cb().

## Field Documentation

## pgno

vbi_pgno vbi_pfc_block::pgno

Source page as requested with vbi_pfc_demux_new().

Referenced by vbi_pfc_demux_feed().

## stream

unsigned int vbi_pfc_block::stream

Source stream as requested with vbi_pfc_demux_new().

Referenced by vbi_pfc_demux_feed().

## application_id

unsigned int vbi_pfc_block::application_id

Application ID transmitted with this data block.

Referenced by vbi_pfc_demux_reset().

## block_size

unsigned int vbi_pfc_block::block_size

Size of the data block in bytes, 1 ... 2048.

## block

uint8_t vbi_pfc_block::block[2048]

Data block.